@echo off
setlocal
set f=%~n0
if [%1]==[] goto:eof
set data=%1
if [%2]==[] goto main
if not exist %f%.ini (
	echo %2 >%f%.ini
) else (
	for /f %%c in (%f%.ini) do if %%c==%2 goto:eof
	echo %2 >>%f%.ini
)
goto:eof

:main
if exist %f%.ini attrib -r %f%.ini
for /f "tokens=1-3" %%c in (%data%) do if not "%%e"=="" call %0 %1 %%e
if exist %f%.ini attrib +r %f%.ini
